package com.ruoyi.abuwx.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 卡券兑换对象 card_redeption
 *
 * @author lujie
 * @date 2025-01-07
 */
public class CardRedeption extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 卡券编号
     */
    @Excel(name = "卡券编号")
    private String couponNumber;

    /**
     * 卡券名称
     */
    @Excel(name = "卡券名称")
    private String couponTitle;

    /**
     * 卡密卡号
     */
    @Excel(name = "卡密卡号")
    private String cardNumber;

    /**
     * 卡密卡号
     */
    @Excel(name = "卡密卡号")
    private String cardPassword;

    /**
     * 用户昵称
     */
    @Excel(name = "用户昵称")
    private String userName;

    /**
     * 用户手机号
     */
    @Excel(name = "用户手机号")
    private String userTel;

    /**
     * 卡券ID
     */
    @Excel(name = "卡券ID")
    private Long couponId;

    /**
     * 卡密ID
     */
    @Excel(name = "卡密ID")
    private Long cardId;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setCouponNumber(String couponNumber) {
        this.couponNumber = couponNumber;
    }

    public String getCouponNumber() {
        return couponNumber;
    }

    public void setCouponTitle(String couponTitle) {
        this.couponTitle = couponTitle;
    }

    public String getCouponTitle() {
        return couponTitle;
    }

    public void setCardNumber(String cardNumber) {
        this.cardNumber = cardNumber;
    }

    public String getCardNumber() {
        return cardNumber;
    }

    public void setCardPassword(String cardPassword) {
        this.cardPassword = cardPassword;
    }

    public String getCardPassword() {
        return cardPassword;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserTel(String userTel) {
        this.userTel = userTel;
    }

    public String getUserTel() {
        return userTel;
    }

    public void setCouponId(Long couponId) {
        this.couponId = couponId;
    }

    public Long getCouponId() {
        return couponId;
    }

    public void setCardId(Long cardId) {
        this.cardId = cardId;
    }

    public Long getCardId() {
        return cardId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("createTime", getCreateTime())
                .append("updateTime", getUpdateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("remark", getRemark())
                .append("couponNumber", getCouponNumber())
                .append("couponTitle", getCouponTitle())
                .append("cardNumber", getCardNumber())
                .append("cardPassword", getCardPassword())
                .append("userName", getUserName())
                .append("userTel", getUserTel())
                .append("couponId", getCouponId())
                .append("cardId", getCardId())
                .toString();
    }
}
